Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_OS_String Class Reference

This class includes functions available in string.h and ctype.h. More...

`#include <OS_String.h>`

Inheritance diagram for ACE_OS_String:

[legend]
List of all members.

## Static Public Methods
Functions from <cstring>
Included are the functions defined in <cstring> and their <cwchar> equivalents. Todo: To be complete, we should add strcoll, and strxfrm.
const void * | memchr (const void *s, int c, size_t len)
| Finds characters in a buffer (const void version). More...
void * | memchr (void *s, int c, size_t len)
| Finds characters in a buffer (void version). More...
int | memcmp (const void *t, const void *s, size_t len)
| Compares two buffers. More...
void * | memcpy (void *t, const void *s, size_t len)
| Copies one buffer to another. More...
void * | memmove (void *t, const void *s, size_t len)
| Moves one buffer to another. More...
void * | memset (void *s, int c, size_t len)
| Fills a buffer with a character value. More...
char * | strcat (char *s, const char *t)
| Appends a string to another string (char version). More...
wchar_t * | strcat (wchar_t *s, const wchar_t *t)
| Appends a string to another string (wchar_t version). More...
const char * | strchr (const char *s, int c)
| Finds the first occurance of a character in a string (const char version). More...
const wchar_t * | strchr (const wchar_t *s, wint_t c)
| Finds the first occurance of a character in a string (const wchar_t version). More...
char * | strchr (char *s, int c)
| Finds the first occurance of a character in a string (char version). More...
wchar_t * | strchr (wchar_t *s, wint_t c)
| Finds the first occurance of a character in a string (wchar_t version). More...
int | strcmp (const char *s, const char *t)
| Compares two strings (char version). More...
int | strcmp (const ACE_WCHAR_T *s, const ACE_WCHAR_T *t)
| Compares two strings (wchar_t version). More...
char * | strcpy (char *s, const char *t)
| Copies a string (char version). More...
wchar_t * | strcpy (wchar_t *s, const wchar_t *t)
| Copies a string (wchar_t version). More...
size_t | strcspn (const char *s, const char *reject)
| Searches for the first substring without any of the specified characters and returns the size of the substring (char version). More...
size_t | strcspn (const wchar_t *s, const wchar_t *reject)
| Searches for the first substring without any of the specified characters and returns the size of the substring (wchar_t version). More...
char * | strerror (int errnum)
| Returns a system error message. More...
size_t | strlen (const char *s)
| Finds the length of a string (char version). More...
size_t | strlen (const ACE_WCHAR_T *s)
| Finds the length of a string (ACE_WCHAR_T version). More...
size_t | strnlen (const char *s, size_t maxlen)
| Finds the length of a limited-length string (char version). More...
size_t | strnlen (const ACE_WCHAR_T *s, size_t maxlen)
| Finds the length of a limited-length string (ACE_WCHAR_T version). More...
char * | strncat (char *s, const char *t, size_t len)
| Appends part of a string to another string (char version). More...
ACE_WCHAR_T * | strncat (ACE_WCHAR_T *s, const ACE_WCHAR_T *t, size_t len)
| Appends part of a string to another string (wchar_t version). More...
int | strncmp (const char *s, const char *t, size_t len)
| Compares two arrays (char version). More...
int | strncmp (const ACE_WCHAR_T *s, const ACE_WCHAR_T *t, size_t len)
| Compares two arrays (wchar_t version). More...
char * | strncpy (char *s, const char *t, size_t len)
| Copies an array (char version). More...
ACE_WCHAR_T * | strncpy (ACE_WCHAR_T *s, const ACE_WCHAR_T *t, size_t len)
| Copies an array (ACE_WCHAR_T version). More...
const char * | strpbrk (const char *s1, const char *s2)
| Searches for characters in a string (const char version). More...
const wchar_t * | strpbrk (const wchar_t *s1, const wchar_t *s2)
| Searches for characters in a string (const wchar_t version). More...
char * | strpbrk (char *s1, const char *s2)
| Searches for characters in a string (char version). More...
wchar_t * | strpbrk (wchar_t *s1, const wchar_t *s2)
| Searches for characters in a string (wchar_t version). More...
const char * | strrchr (const char *s, int c)
| Finds the last occurance of a character in a string (const char version). More...
const wchar_t * | strrchr (const wchar_t *s, wint_t c)
| Finds the last occurance of a character in a string (const wchar_t version). More...
char * | strrchr (char *s, int c)
| Finds the last occurance of a character in a string (char version). More...
wchar_t * | strrchr (wchar_t *s, wint_t c)
| Finds the last occurance of a character in a string (wchar_t version). More...
size_t | strspn (const char *s1, const char *s2)
| Searches for the first substring containing only the specified characters and returns the size of the substring (char version). More...
size_t | strspn (const wchar_t *s1, const wchar_t *s2)
| Searches for the first substring containing only the specified characters and returns the size of the substring (wchar_t version). More...
const char * | strstr (const char *s, const char *t)
| Finds the first occurance of a substring in a string (const char version). More...
const wchar_t * | strstr (const wchar_t *s, const wchar_t *t)
| Finds the first occurance of a substring in a string (const wchar_t version). More...
char * | strstr (char *s, const char *t)
| Finds the first occurance of a substring in a string (char version). More...
wchar_t * | strstr (wchar_t *s, const wchar_t *t)
| Finds the first occurance of a substring in a string (wchar_t version). More...
char * | strtok (char *s, const char *tokens)
| Finds the next token in a string (char version). More...
wchar_t * | strtok (wchar_t *s, const wchar_t *tokens)
| Finds the next token in a string (wchar_t version). More...
Functions from <cctype>
Included are the functions defined in <cctype> and their <cwctype> equivalents. Since they are often implemented as macros, we don't use the same name here. Instead, we change by prepending "ace_" (with the exception of to_lower). Todo: To be complete, we should add: isalnum, isalpha, iscntrl isdigit, isgraph, islower, ispunct, isupper, isxdigit, and toupper.
int | ace_isprint (const ACE_TCHAR c)
| Returns true if the character is a printable character. More...
int | ace_isspace (const ACE_TCHAR c)
| Returns true if the character is a space character. More...
int | to_lower (int c)
| Converts a character to lower case (char version). More...
wint_t | to_lower (wint_t c)
| Converts a character to lower case (wchar_t version). More...
Non-standard functions
These functions aren't in the standard.
char * | itoa (int value, char *string, int radix)
| Converts an integer to a string. More...
wchar_t * | itoa (int value, wchar_t *string, int radix)
| Converts an integer to a string. More...
int | strcasecmp (const char *s, const char *t)
| Compares two strings (case insensitive const char version). More...
int | strcasecmp (const wchar_t *s, const wchar_t *t)
| Compares two strings (case insensitive const wchar_t version). More...
const char * | strnchr (const char *s, int c, size_t len)
| Finds the first occurance of a character in an array (const char version). More...
const ACE_WCHAR_T * | strnchr (const ACE_WCHAR_T *s, ACE_WINT_T c, size_t len)
| Finds the first occurance of a character in an array (const ACE_WCHAR_T version). More...
char * | strnchr (char *s, int c, size_t len)
| Finds the first occurance of a character in an array (char version). More...
ACE_WCHAR_T * | strnchr (ACE_WCHAR_T *s, ACE_WINT_T c, size_t len)
| Finds the first occurance of a character in an array (ACE_WCHAR_T version). More...
int | strncasecmp (const char *s, const char *t, size_t len)
| Compares two arrays (case insensitive const char version). More...
int | strncasecmp (const wchar_t *s, const wchar_t *t, size_t len)
| Compares two arrays (case insensitive const wchar_t version). More...
char * | strecpy (char *des, const char *src)
| Copies a string, but returns a pointer to the end of the copied region (char version). More...
wchar_t * | strecpy (wchar_t *s, const wchar_t *t)
| Copies a string, but returns a pointer to the end of the copied region (wchar_t version). More...
char * | strsncpy (char *dst, const char *src, size_t maxlen)
| This is a "safe" c string copy function (char version). More...
ACE_WCHAR_T * | strsncpy (ACE_WCHAR_T *dst, const ACE_WCHAR_T *src, size_t maxlen)
| This is a "safe" c string copy function (wchar_t version). More...
const char * | strnstr (const char *s, const char *t, size_t len)
| Finds the first occurance of a substring in an array (const char version). More...
const ACE_WCHAR_T * | strnstr (const ACE_WCHAR_T *s, const ACE_WCHAR_T *t, size_t len)
| Finds the first occurance of a substring in an array (const wchar_t version). More...
char * | strnstr (char *s, const char *t, size_t len)
| Finds the first occurance of a substring in an array (char version). More...
ACE_WCHAR_T * | strnstr (ACE_WCHAR_T *s, const ACE_WCHAR_T *t, size_t len)
| Finds the first occurance of a substring in an array (wchar_t version). More...
char * | strdup (const char *s)
| Returns a malloced duplicated string (char version). More...
wchar_t * | strdup (const wchar_t *s)
| Returns a malloced duplicated string (wchar_t version). More...
char * | strtok_r (char *s, const char *tokens, char **lasts)
| Finds the next token in a string (safe char version). More...
wchar_t * | strtok_r (ACE_WCHAR_T *s, const ACE_WCHAR_T *tokens, ACE_WCHAR_T **lasts)
| Finds the next token in a string (wchar_t version). More...
double | strtod (const char *s, char **endptr)
| Converts a string to a double value (char version). More...
double | strtod (const wchar_t *s, wchar_t **endptr)
| Converts a string to a double value (wchar_t version). More...
long | strtol (const char *s, char **ptr, int base)
| Converts a string to a long value (char version). More...
long | strtol (const wchar_t *s, wchar_t **ptr, int base)
| Converts a string to a long value (wchar_t version). More...
unsigned long | strtoul (const char *s, char **ptr, int base)
| Converts a string to an unsigned long value (char version). More...
unsigned long | strtoul (const wchar_t *s, wchar_t **ptr, int base)
| Converts a string to an unsigned long value (wchar_t version). More...
## Static Private Methods
Emulation
These methods are provided for platforms that do not have a native implementation.
char * | itoa_emulation (int value, char *string, int radix)
| Emulated itoa - Converts an integer to a string. More...
wchar_t * | itow_emulation (int value, wchar_t *string, int radix)
| Emulated itow - Converts an integer to a string. More...
const void * | memchr_emulation (const void *s, int c, size_t len)
| Emulated memchr - Finds a character in a buffer. More...
int | strcasecmp_emulation (const char *s, const char *t)
| Emulated strcasecmp - Performs a case insensitive comparison of strings. More...
int | strncasecmp_emulation (const char *s, const char *t, size_t len)
| Emulated strncasecmp - Performs a case insensitvie comparison of arrays. More...
size_t | strcspn_emulation (const char *s, const char *reject)
| Emulated strcspn - Finds a substring in a string. More...
char * | strchr_emulation (char *s, int c)
| Emulated strchr (char version) - Finds the first occurance of a character in a string. More...
const char * | strchr_emulation (const char *s, int c)
| Emulated strchr (const char version) - Finds the first occurance of a character in a string. More...
char * | strrchr_emulation (char *s, int c)
| Emulated strrchr (char version) - Finds the last occurance of a character in a string. More...
const char * | strrchr_emulation (const char *s, int c)
| Emulated strrchr (const char version) - Finds the last occurance of a character in a string. More...
char * | strtok_r_emulation (char *s, const char *tokens, char **lasts)
| Emulated strtok_r. More...
wchar_t * | strtok_r_emulation (ACE_WCHAR_T *s, const ACE_WCHAR_T *tokens, ACE_WCHAR_T **lasts)
| Emulated strtok_r (wchar_t version). More...
wchar_t * | wcscat_emulation (wchar_t *destination, const wchar_t *source)
| Emulated wcscat - Appends a string. More...
wchar_t * | wcschr_emulation (const wchar_t *string, wint_t c)
| Emulated wcschr - Finds a character in a string. More...
int | wcscmp_emulation (const ACE_WCHAR_T *string1, const ACE_WCHAR_T *string2)
| Emulated wcscmp - Compares strings. More...
wchar_t * | wcscpy_emulation (wchar_t *destination, const wchar_t *source)
| Emulated wcscpy - Copies a string. More...
int | wcsicmp_emulation (const wchar_t *string1, const wchar_t *string2)
| Emulated wcsicmp - Performs a case insensitive comparison of strings. More...
size_t | wcslen_emulation (const ACE_WCHAR_T *string)
| Emulated wcslen - Returns the length of a string. More...
ACE_WCHAR_T * | wcsncat_emulation (ACE_WCHAR_T *destination, const ACE_WCHAR_T *source, size_t count)
| Emulated wcscat - Appends a string. More...
int | wcsncmp_emulation (const ACE_WCHAR_T *string1, const ACE_WCHAR_T *string2, size_t len)
| Emulated wcsncmp - Compares two arrays. More...
ACE_WCHAR_T * | wcsncpy_emulation (ACE_WCHAR_T *destination, const ACE_WCHAR_T *source, size_t len)
| Emulated wcsncpy - Copies an array. More...
int | wcsnicmp_emulation (const wchar_t *string1, const wchar_t *string2, size_t len)
| Emulated wcsnicmp - Performs a case insensitive comparison of two arrays. More...
wchar_t * | wcspbrk_emulation (const wchar_t *string, const wchar_t *charset)
| Emulated wcspbrk - Searches for characters in a string. More...
wchar_t * | wcsrchr_emulation (wchar_t *string, wint_t c)
| Emulated wcsrchr (wchar_t version) - Finds the last occurance of a character in a string. More...
const wchar_t * | wcsrchr_emulation (const wchar_t *string, wint_t c)
| Emulated wcsrchr (const wchar_t version) - Finds the last occurance of a character in a string. More...
size_t | wcscspn_emulation (const wchar_t *string, const wchar_t *reject)
| Emulated wcscspn. More...
size_t | wcsspn_emulation (const wchar_t *string, const wchar_t *charset)
| Emulated wcsspn. More...
wchar_t * | wcsstr_emulation (const wchar_t *string, const wchar_t *charset)
| Emulated wcsstr - Performs a case insensitive comparison of two strings. More...

## Detailed Description

This class includes functions available in string.h and ctype.h.

## Member Function Documentation

ACE_INLINE int ACE_OS_String::ace_isprint | ( | const ACE_TCHAR | c | ) | `[static]`

| Returns true if the character is a printable character.

ACE_INLINE int ACE_OS_String::ace_isspace | ( | const ACE_TCHAR | c | ) | `[static]`

| Returns true if the character is a space character.

wchar_t* ACE_OS_String::itoa | ( | int | value,
|  | wchar_t * | string,
|  | int | radix
| ) | `[static]`

| Converts an integer to a string.

ACE_INLINE char * ACE_OS_String::itoa | ( | int | value,
|  | char * | string,
|  | int | radix
| ) | `[static]`

| Converts an integer to a string.

char * ACE_OS_String::itoa_emulation | ( | int | value,
|  | char * | string,
|  | int | radix
| ) | `[static, private]`

| Emulated itoa - Converts an integer to a string.

wchar_t * ACE_OS_String::itow_emulation | ( | int | value,
|  | wchar_t * | string,
|  | int | radix
| ) | `[static, private]`

| Emulated itow - Converts an integer to a string.

ACE_INLINE void * ACE_OS_String::memchr | ( | void * | s,
|  | int | c,
|  | size_t | len
| ) | `[static]`

| Finds characters in a buffer (void version).

ACE_INLINE const void * ACE_OS_String::memchr | ( | const void * | s,
|  | int | c,
|  | size_t | len
| ) | `[static]`

| Finds characters in a buffer (const void version).

const void * ACE_OS_String::memchr_emulation | ( | const void * | s,
|  | int | c,
|  | size_t | len
| ) | `[static, private]`

| Emulated memchr - Finds a character in a buffer.

ACE_INLINE int ACE_OS_String::memcmp | ( | const void * | t,
|  | const void * | s,
|  | size_t | len
| ) | `[static]`

| Compares two buffers.

ACE_INLINE void * ACE_OS_String::memcpy | ( | void * | t,
|  | const void * | s,
|  | size_t | len
| ) | `[static]`

| Copies one buffer to another.

ACE_INLINE void * ACE_OS_String::memmove | ( | void * | t,
|  | const void * | s,
|  | size_t | len
| ) | `[static]`

| Moves one buffer to another.

ACE_INLINE void * ACE_OS_String::memset | ( | void * | s,
|  | int | c,
|  | size_t | len
| ) | `[static]`

| Fills a buffer with a character value.

int ACE_OS_String::strcasecmp | ( | const wchar_t * | s,
|  | const wchar_t * | t
| ) | `[static]`

| Compares two strings (case insensitive const wchar_t version).

ACE_INLINE int ACE_OS_String::strcasecmp | ( | const char * | s,
|  | const char * | t
| ) | `[static]`

| Compares two strings (case insensitive const char version).

int ACE_OS_String::strcasecmp_emulation | ( | const char * | s,
|  | const char * | t
| ) | `[static, private]`

| Emulated strcasecmp - Performs a case insensitive comparison of strings.

wchar_t* ACE_OS_String::strcat | ( | wchar_t * | s,
|  | const wchar_t * | t
| ) | `[static]`

| Appends a string to another string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strcat | ( | char * | s,
|  | const char * | t
| ) | `[static]`

| Appends a string to another string (char version).

wchar_t* ACE_OS_String::strchr | ( | wchar_t * | s,
|  | wint_t | c
| ) | `[static]`

| Finds the first occurance of a character in a string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strchr | ( | char * | s,
|  | int | c
| ) | `[static]`

| Finds the first occurance of a character in a string (char version).

const wchar_t* ACE_OS_String::strchr | ( | const wchar_t * | s,
|  | wint_t | c
| ) | `[static]`

| Finds the first occurance of a character in a string (const wchar_t version).

ACE_INLINE const char * ACE_OS_String::strchr | ( | const char * | s,
|  | int | c
| ) | `[static]`

| Finds the first occurance of a character in a string (const char version).

const char * ACE_OS_String::strchr_emulation | ( | const char * | s,
|  | int | c
| ) | `[static, private]`

| Emulated strchr (const char version) - Finds the first occurance of a character in a string.

char * ACE_OS_String::strchr_emulation | ( | char * | s,
|  | int | c
| ) | `[static, private]`

| Emulated strchr (char version) - Finds the first occurance of a character in a string.

ACE_INLINE int ACE_OS_String::strcmp | ( | const ACE_WCHAR_T * | s,
|  | const ACE_WCHAR_T * | t
| ) | `[static]`

| Compares two strings (wchar_t version).

ACE_INLINE int ACE_OS_String::strcmp | ( | const char * | s,
|  | const char * | t
| ) | `[static]`

| Compares two strings (char version).

wchar_t* ACE_OS_String::strcpy | ( | wchar_t * | s,
|  | const wchar_t * | t
| ) | `[static]`

| Copies a string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strcpy | ( | char * | s,
|  | const char * | t
| ) | `[static]`

| Copies a string (char version).

size_t ACE_OS_String::strcspn | ( | const wchar_t * | s,
|  | const wchar_t * | reject
| ) | `[static]`

| Searches for the first substring without any of the specified characters and returns the size of the substring (wchar_t version).

ACE_INLINE size_t ACE_OS_String::strcspn | ( | const char * | s,
|  | const char * | reject
| ) | `[static]`

| Searches for the first substring without any of the specified characters and returns the size of the substring (char version).

size_t ACE_OS_String::strcspn_emulation | ( | const char * | s,
|  | const char * | reject
| ) | `[static, private]`

| Emulated strcspn - Finds a substring in a string.

wchar_t * ACE_OS_String::strdup | ( | const wchar_t * | s | ) | `[static]`

| Returns a malloced duplicated string (wchar_t version).

char * ACE_OS_String::strdup | ( | const char * | s | ) | `[static]`

| Returns a malloced duplicated string (char version).

wchar_t * ACE_OS_String::strecpy | ( | wchar_t * | s,
|  | const wchar_t * | t
| ) | `[static]`

| Copies a string, but returns a pointer to the end of the copied region (wchar_t version).

char * ACE_OS_String::strecpy | ( | char * | s,
|  | const char * | t
| ) | `[static]`

| Copies a string, but returns a pointer to the end of the copied region (char version).

ACE_INLINE char * ACE_OS_String::strerror | ( | int | errnum | ) | `[static]`

| Returns a system error message.

ACE_INLINE size_t ACE_OS_String::strlen | ( | const ACE_WCHAR_T * | s | ) | `[static]`

| Finds the length of a string (ACE_WCHAR_T version).

ACE_INLINE size_t ACE_OS_String::strlen | ( | const char * | s | ) | `[static]`

| Finds the length of a string (char version).

int ACE_OS_String::strncasecmp | ( | const wchar_t * | s,
|  | const wchar_t * | t,
|  | size_t | len
| ) | `[static]`

| Compares two arrays (case insensitive const wchar_t version).

ACE_INLINE int ACE_OS_String::strncasecmp | ( | const char * | s,
|  | const char * | t,
|  | size_t | len
| ) | `[static]`

| Compares two arrays (case insensitive const char version).

int ACE_OS_String::strncasecmp_emulation | ( | const char * | s,
|  | const char * | t,
|  | size_t | len
| ) | `[static, private]`

| Emulated strncasecmp - Performs a case insensitvie comparison of arrays.

ACE_INLINE ACE_WCHAR_T * ACE_OS_String::strncat | ( | ACE_WCHAR_T * | s,
|  | const ACE_WCHAR_T * | t,
|  | size_t | len
| ) | `[static]`

| Appends part of a string to another string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strncat | ( | char * | s,
|  | const char * | t,
|  | size_t | len
| ) | `[static]`

| Appends part of a string to another string (char version).

ACE_INLINE ACE_WCHAR_T * ACE_OS_String::strnchr | ( | ACE_WCHAR_T * | s,
|  | ACE_WINT_T | c,
|  | size_t | len
| ) | `[static]`

| Finds the first occurance of a character in an array (ACE_WCHAR_T version).

ACE_INLINE char * ACE_OS_String::strnchr | ( | char * | s,
|  | int | c,
|  | size_t | len
| ) | `[static]`

| Finds the first occurance of a character in an array (char version).

const ACE_WCHAR_T * ACE_OS_String::strnchr | ( | const ACE_WCHAR_T * | s,
|  | ACE_WINT_T | c,
|  | size_t | len
| ) | `[static]`

| Finds the first occurance of a character in an array (const ACE_WCHAR_T version).

const char * ACE_OS_String::strnchr | ( | const char * | s,
|  | int | c,
|  | size_t | len
| ) | `[static]`

| Finds the first occurance of a character in an array (const char version).

ACE_INLINE int ACE_OS_String::strncmp | ( | const ACE_WCHAR_T * | s,
|  | const ACE_WCHAR_T * | t,
|  | size_t | len
| ) | `[static]`

| Compares two arrays (wchar_t version).

ACE_INLINE int ACE_OS_String::strncmp | ( | const char * | s,
|  | const char * | t,
|  | size_t | len
| ) | `[static]`

| Compares two arrays (char version).

ACE_INLINE ACE_WCHAR_T * ACE_OS_String::strncpy | ( | ACE_WCHAR_T * | s,
|  | const ACE_WCHAR_T * | t,
|  | size_t | len
| ) | `[static]`

| Copies an array (ACE_WCHAR_T version).

ACE_INLINE char * ACE_OS_String::strncpy | ( | char * | s,
|  | const char * | t,
|  | size_t | len
| ) | `[static]`

| Copies an array (char version).

ACE_INLINE size_t ACE_OS_String::strnlen | ( | const ACE_WCHAR_T * | s,
|  | size_t | maxlen
| ) | `[static]`

  | Finds the length of a limited-length string (ACE_WCHAR_T version). Parameters:
  s | The character string to find the length of.
  maxlen | The maximum number of characters that will be scanned for the terminating nul character.
Returns: The length of s, if the terminating nul character is located, else maxlen.

ACE_INLINE size_t ACE_OS_String::strnlen | ( | const char * | s,
|  | size_t | maxlen
| ) | `[static]`

  | Finds the length of a limited-length string (char version). Parameters:
  s | The character string to find the length of.
  maxlen | The maximum number of characters that will be scanned for the terminating nul character.
Returns: The length of s, if the terminating nul character is located, else maxlen.

ACE_INLINE ACE_WCHAR_T * ACE_OS_String::strnstr | ( | ACE_WCHAR_T * | s,
|  | const ACE_WCHAR_T * | t,
|  | size_t | len
| ) | `[static]`

| Finds the first occurance of a substring in an array (wchar_t version).

ACE_INLINE char * ACE_OS_String::strnstr | ( | char * | s,
|  | const char * | t,
|  | size_t | len
| ) | `[static]`

| Finds the first occurance of a substring in an array (char version).

const ACE_WCHAR_T * ACE_OS_String::strnstr | ( | const ACE_WCHAR_T * | s1,
|  | const ACE_WCHAR_T * | s2,
|  | size_t | len2
| ) | `[static]`

| Finds the first occurance of a substring in an array (const wchar_t version).

const char * ACE_OS_String::strnstr | ( | const char * | s1,
|  | const char * | s2,
|  | size_t | len2
| ) | `[static]`

| Finds the first occurance of a substring in an array (const char version).

wchar_t* ACE_OS_String::strpbrk | ( | wchar_t * | s1,
|  | const wchar_t * | s2
| ) | `[static]`

| Searches for characters in a string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strpbrk | ( | char * | s1,
|  | const char * | s2
| ) | `[static]`

| Searches for characters in a string (char version).

const wchar_t* ACE_OS_String::strpbrk | ( | const wchar_t * | s1,
|  | const wchar_t * | s2
| ) | `[static]`

| Searches for characters in a string (const wchar_t version).

ACE_INLINE const char * ACE_OS_String::strpbrk | ( | const char * | s1,
|  | const char * | s2
| ) | `[static]`

| Searches for characters in a string (const char version).

wchar_t* ACE_OS_String::strrchr | ( | wchar_t * | s,
|  | wint_t | c
| ) | `[static]`

| Finds the last occurance of a character in a string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strrchr | ( | char * | s,
|  | int | c
| ) | `[static]`

| Finds the last occurance of a character in a string (char version).

const wchar_t* ACE_OS_String::strrchr | ( | const wchar_t * | s,
|  | wint_t | c
| ) | `[static]`

| Finds the last occurance of a character in a string (const wchar_t version).

ACE_INLINE const char * ACE_OS_String::strrchr | ( | const char * | s,
|  | int | c
| ) | `[static]`

| Finds the last occurance of a character in a string (const char version).

const char * ACE_OS_String::strrchr_emulation | ( | const char * | s,
|  | int | c
| ) | `[static, private]`

| Emulated strrchr (const char version) - Finds the last occurance of a character in a string.

char * ACE_OS_String::strrchr_emulation | ( | char * | s,
|  | int | c
| ) | `[static, private]`

| Emulated strrchr (char version) - Finds the last occurance of a character in a string.

ACE_WCHAR_T * ACE_OS_String::strsncpy | ( | ACE_WCHAR_T * | dst,
|  | const ACE_WCHAR_T * | src,
|  | size_t | maxlen
| ) | `[static]`

| This is a "safe" c string copy function (wchar_t version). Unlike strncpy() this function will always add a terminating '\0' char if maxlen > 0. So the user doesn't has to provide an extra '\0' if the user wants a '\0' terminated dst. The function doesn't check for a 0 <dst>, because this will give problems anyway. When <src> is 0 an empty string is made. We do not "touch" *<dst> if maxlen is 0. Returns <dst>. Care should be taken when replacing strncpy() calls, because in some cases a strncpy() user is using the "not '\0' terminating" feature from strncpy(). This happens most when the call to strncpy() was optimized by using a maxlen which is 1 smaller than the size because there's always written a '\0' inside this last position. Very seldom it's possible that the '\0' padding feature from strncpy() is needed.

char * ACE_OS_String::strsncpy | ( | char * | dst,
|  | const char * | src,
|  | size_t | maxlen
| ) | `[static]`

| This is a "safe" c string copy function (char version). Unlike strncpy() this function will always add a terminating '\0' char if maxlen > 0. So the user doesn't has to provide an extra '\0' if the user wants a '\0' terminated dst. The function doesn't check for a 0 <dst>, because this will give problems anyway. When <src> is 0 an empty string is made. We do not "touch" *<dst> if maxlen is 0. Returns <dst>. Care should be taken when replacing strncpy() calls, because in some cases a strncpy() user is using the "not '\0' terminating" feature from strncpy(). This happens most when the call to strncpy() was optimized by using a maxlen which is 1 smaller than the size because there's always written a '\0' inside this last position. Very seldom it's possible that the '\0' padding feature from strncpy() is needed.

size_t ACE_OS_String::strspn | ( | const wchar_t * | s1,
|  | const wchar_t * | s2
| ) | `[static]`

| Searches for the first substring containing only the specified characters and returns the size of the substring (wchar_t version).

ACE_INLINE size_t ACE_OS_String::strspn | ( | const char * | s,
|  | const char * | t
| ) | `[static]`

| Searches for the first substring containing only the specified characters and returns the size of the substring (char version).

wchar_t* ACE_OS_String::strstr | ( | wchar_t * | s,
|  | const wchar_t * | t
| ) | `[static]`

| Finds the first occurance of a substring in a string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strstr | ( | char * | s,
|  | const char * | t
| ) | `[static]`

| Finds the first occurance of a substring in a string (char version).

const wchar_t* ACE_OS_String::strstr | ( | const wchar_t * | s,
|  | const wchar_t * | t
| ) | `[static]`

| Finds the first occurance of a substring in a string (const wchar_t version).

ACE_INLINE const char * ACE_OS_String::strstr | ( | const char * | s,
|  | const char * | t
| ) | `[static]`

| Finds the first occurance of a substring in a string (const char version).

double ACE_OS_String::strtod | ( | const wchar_t * | s,
|  | wchar_t ** | endptr
| ) | `[static]`

| Converts a string to a double value (wchar_t version).

ACE_INLINE double ACE_OS_String::strtod | ( | const char * | s,
|  | char ** | endptr
| ) | `[static]`

| Converts a string to a double value (char version).

wchar_t* ACE_OS_String::strtok | ( | wchar_t * | s,
|  | const wchar_t * | tokens
| ) | `[static]`

| Finds the next token in a string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strtok | ( | char * | s,
|  | const char * | tokens
| ) | `[static]`

| Finds the next token in a string (char version).

wchar_t* ACE_OS_String::strtok_r | ( | ACE_WCHAR_T * | s,
|  | const ACE_WCHAR_T * | tokens,
|  | ACE_WCHAR_T ** | lasts
| ) | `[static]`

| Finds the next token in a string (wchar_t version).

ACE_INLINE char * ACE_OS_String::strtok_r | ( | char * | s,
|  | const char * | tokens,
|  | char ** | lasts
| ) | `[static]`

| Finds the next token in a string (safe char version).

wchar_t* ACE_OS_String::strtok_r_emulation | ( | ACE_WCHAR_T * | s,
|  | const ACE_WCHAR_T * | tokens,
|  | ACE_WCHAR_T ** | lasts
| ) | `[static, private]`

| Emulated strtok_r (wchar_t version).

char * ACE_OS_String::strtok_r_emulation | ( | char * | s,
|  | const char * | tokens,
|  | char ** | lasts
| ) | `[static, private]`

| Emulated strtok_r.

long ACE_OS_String::strtol | ( | const wchar_t * | s,
|  | wchar_t ** | ptr,
|  | int | base
| ) | `[static]`

| Converts a string to a long value (wchar_t version).

ACE_INLINE long ACE_OS_String::strtol | ( | const char * | s,
|  | char ** | ptr,
|  | int | base
| ) | `[static]`

| Converts a string to a long value (char version).

unsigned long ACE_OS_String::strtoul | ( | const wchar_t * | s,
|  | wchar_t ** | ptr,
|  | int | base
| ) | `[static]`

| Converts a string to an unsigned long value (wchar_t version).

ACE_INLINE unsigned long ACE_OS_String::strtoul | ( | const char * | s,
|  | char ** | ptr,
|  | int | base
| ) | `[static]`

| Converts a string to an unsigned long value (char version).

wint_t ACE_OS_String::to_lower | ( | wint_t | c | ) | `[static]`

| Converts a character to lower case (wchar_t version).

ACE_INLINE int ACE_OS_String::to_lower | ( | int | c | ) | `[static]`

| Converts a character to lower case (char version).

wchar_t * ACE_OS_String::wcscat_emulation | ( | wchar_t * | destination,
|  | const wchar_t * | source
| ) | `[static, private]`

| Emulated wcscat - Appends a string.

wchar_t * ACE_OS_String::wcschr_emulation | ( | const wchar_t * | string,
|  | wint_t | c
| ) | `[static, private]`

| Emulated wcschr - Finds a character in a string.

int ACE_OS_String::wcscmp_emulation | ( | const ACE_WCHAR_T * | string1,
|  | const ACE_WCHAR_T * | string2
| ) | `[static, private]`

| Emulated wcscmp - Compares strings.

wchar_t * ACE_OS_String::wcscpy_emulation | ( | wchar_t * | destination,
|  | const wchar_t * | source
| ) | `[static, private]`

| Emulated wcscpy - Copies a string.

size_t ACE_OS_String::wcscspn_emulation | ( | const wchar_t * | s,
|  | const wchar_t * | reject
| ) | `[static, private]`

| Emulated wcscspn.

int ACE_OS_String::wcsicmp_emulation | ( | const wchar_t * | s,
|  | const wchar_t * | t
| ) | `[static, private]`

| Emulated wcsicmp - Performs a case insensitive comparison of strings.

size_t ACE_OS_String::wcslen_emulation | ( | const ACE_WCHAR_T * | string | ) | `[static, private]`

| Emulated wcslen - Returns the length of a string.

ACE_WCHAR_T * ACE_OS_String::wcsncat_emulation | ( | ACE_WCHAR_T * | destination,
|  | const ACE_WCHAR_T * | source,
|  | size_t | count
| ) | `[static, private]`

| Emulated wcscat - Appends a string.

int ACE_OS_String::wcsncmp_emulation | ( | const ACE_WCHAR_T * | s1,
|  | const ACE_WCHAR_T * | s2,
|  | size_t | len
| ) | `[static, private]`

| Emulated wcsncmp - Compares two arrays.

ACE_WCHAR_T * ACE_OS_String::wcsncpy_emulation | ( | ACE_WCHAR_T * | destination,
|  | const ACE_WCHAR_T * | source,
|  | size_t | len
| ) | `[static, private]`

| Emulated wcsncpy - Copies an array.

int ACE_OS_String::wcsnicmp_emulation | ( | const wchar_t * | s,
|  | const wchar_t * | t,
|  | size_t | len
| ) | `[static, private]`

| Emulated wcsnicmp - Performs a case insensitive comparison of two arrays.

wchar_t * ACE_OS_String::wcspbrk_emulation | ( | const wchar_t * | string,
|  | const wchar_t * | charset
| ) | `[static, private]`

| Emulated wcspbrk - Searches for characters in a string.

const wchar_t * ACE_OS_String::wcsrchr_emulation | ( | const wchar_t * | s,
|  | wint_t | c
| ) | `[static, private]`

| Emulated wcsrchr (const wchar_t version) - Finds the last occurance of a character in a string.

wchar_t * ACE_OS_String::wcsrchr_emulation | ( | wchar_t * | s,
|  | wint_t | c
| ) | `[static, private]`

| Emulated wcsrchr (wchar_t version) - Finds the last occurance of a character in a string.

size_t ACE_OS_String::wcsspn_emulation | ( | const wchar_t * | string,
|  | const wchar_t * | charset
| ) | `[static, private]`

| Emulated wcsspn.

wchar_t * ACE_OS_String::wcsstr_emulation | ( | const wchar_t * | string,
|  | const wchar_t * | charset
| ) | `[static, private]`

| Emulated wcsstr - Performs a case insensitive comparison of two strings.

The documentation for this class was generated from the following files:

- OS_String.h
- OS_String.cpp
- OS_String.inl